package com.bonus.canteen.core.customer.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.FutureOrPresent;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.time.LocalDate;
import java.util.Set;

@Data
public class CustOrgAdjustAddScheduleDTO {
   @ApiModelProperty("新机构id")
   private @NotNull(
   message = "{customer.org.orgId.nonNull}"
) Long newOrgId;
   @ApiModelProperty("预计调整日期")
   private @NotNull(
   message = "{customer.orgAdjust.date.nonNull}"
) @FutureOrPresent(
   message = "{customer.orgAdjust.date.futureOrPresent}"
) LocalDate expectedAdjustDate;
   @ApiModelProperty("人员id集合")
   private @NotEmpty(
   message = "{customer.id.nonNull}"
) Set<Long> custIds;

   public Long getNewOrgId() {
      return this.newOrgId;
   }

   public LocalDate getExpectedAdjustDate() {
      return this.expectedAdjustDate;
   }

   public Set<Long> getCustIds() {
      return this.custIds;
   }

   public void setNewOrgId(final Long newOrgId) {
      this.newOrgId = newOrgId;
   }

   public void setExpectedAdjustDate(final LocalDate expectedAdjustDate) {
      this.expectedAdjustDate = expectedAdjustDate;
   }

   public void setCustIds(final Set<Long> custIds) {
      this.custIds = custIds;
   }




}
